NBEclipse 3.3.2 FrameworkEvent ERROR

Topics for the Eclipse Environment
Post Reply
RebootExpert
Posts: 78
Joined: Fri Oct 09, 2020 2:57 pm

NBEclipse 3.3.2 FrameworkEvent ERROR

Post by RebootExpert »

I just install 3.3.2 and I try to run it. But it prompt me an error to see the log file. There are lots of frameworkevent error in the log file.
1625243209330.log
(637.6 KiB) Downloaded 459 times
User avatar
Forrest
Posts: 285
Joined: Wed Apr 23, 2008 10:05 am

Re: NBEclipse 3.3.2 FrameworkEvent ERROR

Post by Forrest »

NNDK 3.3.2 included an update to NBEclipse. The new version required Java 11 64bit. Based on your log file, it appears that Java 8 is running.
Forrest Stanley
Project Engineer
NetBurner, Inc

NetBurner Learn Articles: http://www.netburner.com/learn
User avatar
TomNB
Posts: 552
Joined: Tue May 10, 2016 8:22 am

Re: NBEclipse 3.3.2 FrameworkEvent ERROR

Post by TomNB »

Just a note for anyone else that might come across this. The installer does check the java version and issues a warning, as well as a link to download the newer version. It also allows you to skip past the warning and proceed, which may be what happened in this case. For customers using our 2.x tools branch, you can have both java 8 32-bit and java 11 64-bit and use both tool sets.
User avatar
TomNB
Posts: 552
Joined: Tue May 10, 2016 8:22 am

Re: NBEclipse 3.3.2 FrameworkEvent ERROR

Post by TomNB »

RebootExpert, thank you very much for including the log file. That really helped figure things out.
Post Reply